USE OLAP

--ORDER BY clause
SELECT product,product_cost
FROM products
ORDER BY product_cost

--ROW_NUMBER function
SELECT product,product_cost
       ,ROW_NUMBER() OVER (order by product_cost) as price_order
FROM products
ORDER BY product_cost
--Display the resuts in a different order
SELECT product,product_cost
       ,ROW_NUMBER() OVER (order by product_cost) as price_order --order based on price
FROM products
ORDER BY product --order based on product name